ChoiDujourNX update from 5.10 - 6.1.0 Issues?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by metaphz, Nov 16, 2018.

  1. shanefromoz

    shanefromoz GBAtemp Maniac

    Member
    9
    Jun 18, 2007
    Australia
    I use sxos and its perfect. Maybe its ReiNX thats the issue or its missing something
     
  2. metaphz
    OP

    metaphz Member

    Newcomer
    2
    Oct 5, 2018
    United States
    I tried ReiNX and Atmosphere same result. Maybe you are right i should just switch.
     
  3. shanefromoz

    shanefromoz GBAtemp Maniac

    Member
    9
    Jun 18, 2007
    Australia
    I did. Its easy, quick and has a very nice menu
     
  4. coppertj

    coppertj GBAtemp Regular

    Member
    3
    May 26, 2017
    United States
    Pardon me I'm chiming in a little late here. What are controller updates. I ask this because I bought a fake pro controller the other day and it requires 6.0-6.1 to connect. Can I update 5.1.0 with a controller update patch?
     
  5. kassio69

    kassio69 Newbie

    Newcomer
    2
    Nov 20, 2011
    Brazil
    I was about to update exactly like you:
    1.0.0 > choidujournx 5.1.0 exfat (nogc) > 6.1.0
    My doubt is about the need of the exfat update, since I've already installed it.
    Could that be your issue?
    Maybe try recovering your 5.1.0 backup and then install the "pure" 6.1.0 (no exfat)?
     
  6. Biff627

    Biff627 GBAtemp Advanced Maniac

    Member
    9
    Aug 15, 2015
    United States

    I just started having this issue as well....
    I updated to 6.1.0 and started to install some games and other nsps and then was greeted with quite a few of my games not booting.
    The Corrupted save data has been detected. Please run a check for corrupted save data." error would happen on all of those and any homebrew nsps + my devmenu nsp.

    I replaced all of my cfw files on my sd card and all of my games started working again... but homebrew for me just seems to not want to work properly.

    I think this is a sd card corruption issue and Im gonna switch to fat32 tonight (256gbs of data to transfer... format... and then move back over...)
     
    Last edited by Biff627, Nov 16, 2018
  7. metaphz
    OP

    metaphz Member

    Newcomer
    2
    Oct 5, 2018
    United States
    I'm going to stick with exFAT but I'm copying my SD Card contents now and will format when done.

    Anyone have any word on is it safe to update the Joycons?
     
  8. triumph01

    triumph01 Member

    Newcomer
    2
    Aug 13, 2013
    Gambia, The
    I have exactly the same Problem.
    After going from 5.1.0 to 6.1.0 my games do not work correctly.
    After that, i updated my SD files but it doesn't help.
    Also i have the Update Controller nag.

    Going back to 5.1.0 seems to be the only solution. After downgrade to 5.1.0 everything works fine!


    Im using Reinx 1.7 right now.

    Edit:
    I played a bit araound and i'm pretty sure that my 6.1.0 Files are corrupted. Or there is something else wrong with them. Because my Switch doesnt wake up from standby, while using 6.1.0. No Problems on 5.1.0.
     
    Last edited by triumph01, Nov 16, 2018
  9. mdmachine

    mdmachine GBAtemp Regular

    Member
    4
    Jun 15, 2009
    United States
    Be sure to let us know, I am interested to see if this is a exFAT issue.
     
  10. triumph01

    triumph01 Member

    Newcomer
    2
    Aug 13, 2013
    Gambia, The
    Ive read somewhere on the Internet that the payload is faulty/wrong or old. So that i should use the payload from Reinx v1.7.1.

    Maybe thats the solution. But im happy with 5.1.0 so maybe someone else will test this....
     
  11. Biff627

    Biff627 GBAtemp Advanced Maniac

    Member
    9
    Aug 15, 2015
    United States
    I think it is an exfat issue... My sd card is not acting right while in my switch... but it is acting fine in my pc...
     
  12. mdmachine

    mdmachine GBAtemp Regular

    Member
    4
    Jun 15, 2009
    United States
    Well considering updates have been made for use on FW 6+ I'd take a wager, that you might want to make sure everything is up to date, including the payload. Not sure ReiNX is being updated anymore? Maybe give atmosphere a shot (or Kosmos), with either the included updated payload (just boots, no options), or Hakate 4.2. Plus it'll work on 5.1.0 thats what i have and I use latest files.

    — Posts automatically merged - Please don't double post! —

    My gut is telling me that if its not out of date software, then its exFAT considering almost everywhere you look most people recommend not using it.
     
  13. 210modz

    210modz GBAtemp Fan

    Member
    6
    Aug 11, 2017
    United States
    Yes, thays exactly what it did for me all 3 times. Retroarch worked but my games didn't.

    — Posts automatically merged - Please don't double post! —

    I'm telling you 100% that this is your issue. Read the release noted for retroarch. They clearly state that using it with exfat will corrupt your SD card.
     
  14. metaphz
    OP

    metaphz Member

    Newcomer
    2
    Oct 5, 2018
    United States
    It's not...I was able to correct the issue. Will update OP.

    [SOLVED]

    I was able to launch my games again. There were two solutions for my issue.

    1.) Use ReiNX 1.7.1 allowed all my games to work after it checked for "Corruption" said there was no corruption, and game launched.
    2.) Re-Converted my XCI dumps with the latest 4nxci to NSP and install. Game now working again.

    From what I read it looks like ReiNX can support launching games using NSP's converted with an older version of 4nxci, where Atmosphere can not.
     
    Last edited by metaphz, Nov 16, 2018
    210modz likes this.
  15. Biff627

    Biff627 GBAtemp Advanced Maniac

    Member
    9
    Aug 15, 2015
    United States
    RetroArch will cause corruption in your sd card... So I would recommend to not even use that on Exfat.... It is a corruption issue though.... I would really recommend backing up your sd card and formatting it to fat32 if you want to continue using retroarch.

    I updated to 6.1 with Choi and it did this exact same thing... Tinfoil would tell me that it didn't have access to nsps that I wanted to install and NXShell did not have access to those nsps so I could not uninstall them from the switch.... Its the beginning of the end for your data....
     
  16. 210modz

    210modz GBAtemp Fan

    Member
    6
    Aug 11, 2017
    United States
    Well no shit, you reinstalled the game so it wasn't corrupt anymore.
     
  17. Biff627

    Biff627 GBAtemp Advanced Maniac

    Member
    9
    Aug 15, 2015
    United States
    ^^^^^^^^^^^^^^^^^^^^^

    — Posts automatically merged - Please don't double post! —

    Luckily all of my games now boot :)
     
    210modz likes this.
  18. mdmachine

    mdmachine GBAtemp Regular

    Member
    4
    Jun 15, 2009
    United States
    Did you change the format of the sdcard?
     
  19. metaphz
    OP

    metaphz Member

    Newcomer
    2
    Oct 5, 2018
    United States
    Well, no. Reading is fundamental. I tried re-installing with the old 4nxci and ZeroTwoXCI and neither worked and the games would still not launch in Atmosphere. They would however launch in ReiNX 1.7.1.

    UPDATING 4nxci and re-converting the games would allow them to boot in Atmosphere. Apparently Atmosphere does not play nice with NSP conversations from older versions of 4nxci. Same with ZeroTwoXCI .

    Next time read the whole post, not a sentence.

    ETA: That was the common theme for the games that didn't work versus the ones that did. They were XCI's converted with an older version of 4nxci. Hence why some of my games worked and others didn't.
     
    Last edited by metaphz, Nov 16, 2018
  20. 210modz

    210modz GBAtemp Fan

    Member
    6
    Aug 11, 2017
    United States
    The problem will reoccur dipshit.
     
Quick Reply
Draft saved Draft deleted
Loading...